com.aispeech.dui.dds.agent.wakeup.word

## Class WakeupWordIntent

- java.lang.Object
- - com.aispeech.dui.dds.agent.wakeup.word.WakeupWord
  - - com.aispeech.dui.dds.agent.wakeup.word.WakeupWordIntent

- All Implemented Interfaces:
    IWakeupWord

      public class WakeupWordIntent
      extends WakeupWord

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected WakeupType` | `mWakeupType`

    - ### Fields inherited from class com.aispeech.dui.dds.agent.wakeup.word.WakeupWord

      `action, dcheck, greetingList, incrementWord, major, mCreateEngine, name, pinyin, threshold, threshold2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WakeupWordIntent(WakeupType wakeupType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WakeupWordIntent` | `addGreeting(java.lang.String greeting)` 添加唤醒词欢迎语
    `WakeupWordIntent` | `setAction(java.lang.String action)` 设置唤醒词对应的command命令
    `WakeupWordIntent` | `setGreetings(java.util.ArrayList<java.lang.String> greetingList)` 设置唤醒词欢迎语
    `WakeupWordIntent` | `setPinyin(java.lang.String pinyin)` 设置唤醒词拼音
    `WakeupWordIntent` | `setThreshold(java.lang.String threshold)` 设置唤醒词阈值
    `WakeupWordIntent` | `setThreshold(java.lang.String threshold, java.lang.String threshold2)` 设置唤醒词阈值
    `WakeupWordIntent` | `setWord(java.lang.String word)` 设置唤醒词汉字

    - ### Methods inherited from class com.aispeech.dui.dds.agent.wakeup.word.WakeupWord

      `getAction, getDcheck, getGreetingList, getIncrementWord, getJson, getJsonObject, getMajor, getName, getPinyin, getThreshold, getThreshold2, setCreateEngine, setDcheck, setIncrementWord, setMajor, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mWakeupType

          protected WakeupType mWakeupType

  - ### Constructor Detail

    - #### WakeupWordIntent

          public WakeupWordIntent(WakeupType wakeupType)

  - ### Method Detail

    - #### setWord

          public WakeupWordIntent setWord(java.lang.String word)

      Description copied from class: `WakeupWord`
      设置唤醒词汉字
      Overrides:
        `setWord` in class `WakeupWord`
      Parameters:
        `word` - 唤醒词汉字
      Returns:

    - #### setPinyin

          public WakeupWordIntent setPinyin(java.lang.String pinyin)

      Description copied from class: `WakeupWord`
      设置唤醒词拼音
      Overrides:
        `setPinyin` in class `WakeupWord`
      Parameters:
        `pinyin` - 唤醒词拼音
      Returns:

    - #### setThreshold

          public WakeupWordIntent setThreshold(java.lang.String threshold)

      Description copied from class: `WakeupWord`
      设置唤醒词阈值
      Overrides:
        `setThreshold` in class `WakeupWord`
      Parameters:
        `threshold` - 唤醒词阈值
      Returns:

    - #### setThreshold

          public WakeupWordIntent setThreshold(java.lang.String threshold,
                                               java.lang.String threshold2)

      Description copied from class: `WakeupWord`
      设置唤醒词阈值
      Overrides:
        `setThreshold` in class `WakeupWord`
      Parameters:
        `threshold` - 唤醒词阈值
        `threshold2` - 唤醒词阈值2
      Returns:

    - #### addGreeting

          public WakeupWordIntent addGreeting(java.lang.String greeting)

      Description copied from class: `WakeupWord`
      添加唤醒词欢迎语
      Overrides:
        `addGreeting` in class `WakeupWord`
      Parameters:
        `greeting` - 唤醒词欢迎语
      Returns:

    - #### setGreetings

          public WakeupWordIntent setGreetings(java.util.ArrayList<java.lang.String> greetingList)

      Description copied from class: `WakeupWord`
      设置唤醒词欢迎语
      Overrides:
        `setGreetings` in class `WakeupWord`
      Parameters:
        `greetingList` - 唤醒词欢迎语集合
      Returns:

    - #### setAction

          public WakeupWordIntent setAction(java.lang.String action)

      Description copied from class: `WakeupWord`
      设置唤醒词对应的command命令
      Overrides:
        `setAction` in class `WakeupWord`
      Parameters:
        `action` - 唤醒词对应的command命令
      Returns: